#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: reflection
version: 2
id: reflection-2-651cc7a2d4334bc9f02c21763d00fe25
key: refle_7dRZJKJ0RoVKjlNBSuDj1U
license: BSD3
copyright: 2009-2013 Edward A. Kmett,
           2012 Elliott Hird,
           2004 Oleg Kiselyov and Chung-chieh Shan
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: experimental
homepage: http://github.com/ekmett/reflection
synopsis: Reifies arbitrary terms into types that can be reflected back into terms
description:
    This package addresses the /configuration problem/ which is
    propogating configurations that are available at run-time, allowing
    multible configurations to coexist without resorting to mutable
    global variables or '\''System.IO.Unsafe.unsafePerformIO'\''.
    .
    That package is an implementation of the ideas presented in the
    paper \"Functional Pearl: Implicit Configurations\" by Oleg Kiselyov
    and Chung-chieh Shan (<http://okmij.org/ftp/Haskell/tr-15-04.pdf original paper>).
    However, the API has been streamlined to improve performance.
    .
    Austin Seipp'\''s tutorial <https://www.fpcomplete.com/user/thoughtpolice/using-reflection Reflecting values to types and back> provides a summary of the
    approach taken by this library, along with more motivating examples.
category: Data, Reflection, Dependent Types
author: Edward A. Kmett, Elliott Hird, Oleg Kiselyov and Chung-chieh Shan
exposed: True
exposed-modules:
    Data.Reflection
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/reflection-2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/reflection-2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/reflection-2
hs-libraries: HSreflection-2-7dRZJKJ0RoVKjlNBSuDj1U
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    template-haskell-2.10.0.0-50be769ad8939d8e8caca364b0b694f2
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/reflection-2/html/reflection.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/reflection-2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
